Retrieve a user

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Zerion Identity MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp"
  }
}

Close
GET /users/{user_id}

Path parameters

  • user_id string Required

    id of the user

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id string Required
    • username string Required
    • firstName string Required
    • lastName string Required
    • createdDate string Required
    • modifiedDate string Required
    • email string Required
    • lastLogin string Required
    • failedLoginCount number Required
    • status number Required
    • entityKeyHashes array Required
    • serverId string Required
    • profileId number Required
GET /users/{user_id}
curl \
 --request GET 'https://identity.zerionsoftware.com/v1/users/self' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": "string",
  "username": "string",
  "firstName": "string",
  "lastName": "string",
  "createdDate": "string",
  "modifiedDate": "string",
  "email": "string",
  "lastLogin": "string",
  "failedLoginCount": 42.0,
  "status": 42.0,
  "entityKeyHashes": [],
  "serverId": "string",
  "profileId": 42.0
}